Skip to main content
`Ctrl`+`K`

# PetscSpaceSetUp

Construct data structures for the `PetscSpace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetUp(PetscSpace sp)

Collective

## Input Parameter

- sp - the `PetscSpace` object to setup

## See Also

`PetscSpace`, `PetscSpaceView()`, `PetscSpaceDestroy()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceSetUp_Point() in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceSetUp_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceSetUp_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceSetUp_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceSetUp_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceSetUp_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceSetUp_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages